﻿using System.Collections.Generic;
using System.Web.Http;
using iiie.CacheControl.Business.Attributes;
using iiie.CacheControl.Business.OutputCache;

namespace CacheControl_test.Controllers
{
    public class ValuesController : ApiController
    {
        // GET api/values
        public IEnumerable<string> Get()
        {
            return new string[] { "value1", "value2" };
        }

        // GET api/values/5
        [TimeCacheControl(60, true, false, OutputCacheType.File)]
        public string Get(int id)
        {
            return "value";
        }

        // POST api/values
        public void Post([FromBody]string value)
        {
        }

        // PUT api/values/5
        public void Put(int id, [FromBody]string value)
        {
        }

        // DELETE api/values/5
        public void Delete(int id)
        {
        }
    }
}
